Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.transport
Class JmsClientTransportFactory

`java.lang.Object
oracle.webservices.transport.JmsClientTransportFactory`

All Implemented Interfaces:
  ClientTransportFactory

public class JmsClientTransportFactory
extends Object
implements ClientTransportFactory

This is a factory class for JMS client transports

Constructor Summary
`JmsClientTransportFactory()` Constructs a new JMS client transport factory
`JmsClientTransportFactory(JmsAddress destination, JmsAddress replyTo)` Constructs a new configured JMS client transport factory

Method Summary
`ClientTransport` | `create()` Creates a new client transport capable of sending soap over JMS
`ClientTransport` | `create(String soapVersion)` Creates a new client transport capable of sending soap messages of a particular soap version over JMS
`JmsAddress` | `getDestination()` Get the jms address of the queue that used to send soap messages to the server
`JmsAddress` | `getReplyTo()` Get the jms address of the queue that used to send response soap messages back to the client
`void` | `setDestination(JmsAddress destination)` Set the jms address of the queue that used to send soap messages to the server
`void` | `setReplyTo(JmsAddress replyTo)` Set the jms address of the queue that used to send response soap messages back to the client

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsClientTransportFactory

    public JmsClientTransportFactory()

  Constructs a new JMS client transport factory

### JmsClientTransportFactory

    public JmsClientTransportFactory(JmsAddress destination,
                                     JmsAddress replyTo)

  Constructs a new configured JMS client transport factory
Parameters:
  `destination` - the jms queue configuration for sending soap messages to the server
  `replyTo` - the jms queue configuration for sending response soap messages back to the client

Method Detail

### create

    public ClientTransport create()

  Creates a new client transport capable of sending soap over JMS
  Returns:
    a client transport

### create

    public ClientTransport create(String soapVersion)

  Creates a new client transport capable of sending soap messages of a particular soap version over JMS
  Specified by:
    `create` in interface `ClientTransportFactory`
  Parameters:
    `soapVersion` -
  Returns:
    a client transport

### getDestination

    public JmsAddress getDestination()

  Get the jms address of the queue that used to send soap messages to the server
  Returns:
    a jms address

### setDestination

    public void setDestination(JmsAddress destination)

  Set the jms address of the queue that used to send soap messages to the server

### getReplyTo

    public JmsAddress getReplyTo()

  Get the jms address of the queue that used to send response soap messages back to the client
  Returns:
    a jms address

### setReplyTo

    public void setReplyTo(JmsAddress replyTo)

  Set the jms address of the queue that used to send response soap messages back to the client

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD